<div class="container">

  <h2> Formulaire de debit: </h2>

  <form  (submit)="add(operation)">
    <!-- vas chercher le signe pour le calcul -->
    <div class="form-group">
      <label for="calcul"> choisir la calcul: </label>
      <select name="calcul" class="form-control" [(ngModel)]='signe'>
        <option value="+">+</option>
        <option value="-">-</option>
        <option value="/">/</option>
        <option value="*">*</option>
      </select>
    </div>

    <!-- vas chercher les valeur pour rajouter une operation -->
    <div class="form-group">
      <label for="montant"> Montant:</label>
      <input type="text" class="form-control" name="montant" [(ngModel)]="operation.montant">
      <small class="form-text text-muted">indiquer votre montant.</small>
    </div>

    <div class="form-group">
      <label for="tag"> Tag: </label>
      <input type="text" class="form-control" name="tag" [(ngModel)]="operation.tag">
    </div>

    <div class="form-group">
      <label for="date"> Date: </label>
      <input type="date" class="form-control" name="date" [(ngModel)]="operation.datetime">
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
    <!---->
  </form>
</div>
